Subject: Re: [PATCH net-next v2 1/5] dt-bindings: leds: add 'active-high' property

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Oct 2024 17:37:15 -0700

On Thu, 10 Oct 2024 13:53:36 +0100 Daniel Golle wrote:
> Other than described in commit c94d1783136e ("dt-bindings: net: phy:
> Make LED active-low property common") the absence of the 'active-low'
> property means not to touch the polarity settings which are inherited
> from reset defaults, the bootloader or bootstrap configuration. Hence,
> in order to override a LED pin being active-high in case of the default,
> bootloader or bootstrap setting being active-low an additional property
> 'active-high' is required. Document that property and make it mutually
> exclusive to the existing 'active-low' property.

Daniel, please make sure you provide a cover letter for any submissions
longer than 2 patches. If nothing else it gives the maintainers a quick
overview of which files you're touching.

This submission is okay but please correct going forward.

Let's wait a bit longer for Lee to ack / take the first patch and then
I presume we take the rest.